##
##  libmcrypt.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libmcrypt
Summary:      Cryptography Algorithm Library
URL:          http://mcrypt.sourceforge.net/
Vendor:       Nikos Mavroyanopoulos
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        Cryptography
License:      LGPL
Version:      2.5.8
Release:      20080101

#   list of sources
Source0:      http://switch.dl.sourceforge.net/mcrypt/libmcrypt-%{version}.tar.gz
Patch0:       libmcrypt.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20040130
PreReq:       OpenPKG, openpkg >= 20040130
AutoReq:      no
AutoReqProv:  no

%description
    Libmcrypt implements an API to access block and stream encryption
    algorithms. It supports the algorithms: BLOWFISH, TWOFISH, DES,
    TripleDES, 3-WAY, SAFER-sk64, SAFER-sk128, SAFER+, LOKI97,
    GOST, RC2, RC6, MARS, IDEA, RIJNDAEL-128 (AES), RIJNDAEL-192,
    RIJNDAEL-256, SERPENT, CAST-128 (known as CAST5), CAST-256, ARCFOUR
    and WAKE. Block algorithms can be used in: CBC, ECB, CFB and OFB (8
    bit and n bit, where n is the size of the algorithm's block length).

%track
    prog libmcrypt = {
        version   = %{version}
        url       = http://prdownloads.sourceforge.net/mcrypt/
        regex     = libmcrypt-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    ACLOCAL=true \
    AUTOCONF=true \
    AUTOMAKE=true \
    AUTOHEADER=true \
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-shared \
        --enable-static
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

